#1415 closed patch (fixed)

Seagate Exos 7E8 missing from the database (ST8000NM000A, ...)

Reported by: niconiconi Owned by: Christian Franke
Priority: minor Milestone: Release 7.3
Component: drivedb Version:
Keywords: hdd Cc:

Description

Hello. I purchased some Seagate Exos 7E8 hard drives, and I found this series is not in the database yet. I made a simple patch to include all models in the Seagate datasheet.

root@freebsd:/usr/local/share/smartmontools # diff -up drivedb.h.orig drivedb.h
--- drivedb.h.orig	2020-12-20 23:43:03.000000000 +0800
+++ drivedb.h	2020-12-22 18:33:50.578993000 +0800
@@ -4195,6 +4195,37 @@ const drive_settings builtin_knowndrives[] = {
     "", "",
     "-v 9,msec24hour32 -v 240,msec24hour32"
   },
+  // 512n SATA:
+  //   Base:         ST6000NM002A, ST4000NM000A, ST3000NM000A, ST2000NM000A
+  //                 ST1000NM000A
+  //   Secure:       ST4000NM006A, ST1000NM002A
+  //   SED-FIPS:     ST4000NM013A, ST3000NM004A
+  // 512n SAS:
+  //   Base:         ST6000NM003A, ST4000NM003A, ST3000NM001A, ST2000NM003A,
+  //                 ST1000NM001A
+  //   Secure:       ST4000NM007A, ST3000NM003A, ST2000NM007A
+  //   SED-FIPS:     ST4000NM015A, ST3000NM005A
+  // 512e SATA:
+  //   Base:         ST8000NM000A, ST6000NM021A, ST4000NM002A, ST2000NM001A,
+  //   PowerBalance: ST8000NM016A
+  //   Secure:       ST8000NM004A, ST4000NM010A
+  //   SED-FIPS:     ST8000NM008A, ST6000NM025A, ST4000NM012A
+  // 512e SAS:
+  //   Base:         ST8000NM001A, ST6000NM029A, ST4000NM005A, ST2000NM004A.
+  //   Secure:       ST8000NM006A, ST4000NM011A
+  //   SED-FIPS:     ST8000NM010A, ST6000NM033A, ST4000NM014A
+  // 4Kn SATA:
+  //   Base:         ST8000NM002A, ST6000NM022A, ST4000NM001A, ST2000NM002A
+  //   SED-FIPS:     ST8000NM009A, ST6000NM026A
+  // 4Kn SAS:
+  //   Base:         ST8000NM003A, ST6000NM030A, ST4000NM004A, ST2000NM005A
+  //   SED-FIPS      ST8000NM011A, ST6000NM034A
+  { "Seagate Exos 7E8", // tested with ST8000NM000A-2KE101/SN02,
+      // ST6000NM021A-2R7101/SN02
+    "ST[864321]000NM0[0123][0123456789]A-.*",
+    "", "",
+    "-v 240,msec24hour32"
+  },
   { "Seagate Exos X12", // tested with ST12000NM0007-2A1101/SN02
     "ST12000NM00[01]7-.*", // *17 = SED
     "", "",

As commented, I tested it with my ST8000NM000A-2KE101/SN02 and ST6000NM021A-2R7101/SN02. After applying the patch, attribute 240 "Head Flying Hours" started to increment seconds by seconds, so it's probably correct. Also, I found "Power On Hours" looks like an hour-only integer value, even with "-v 9,msec24hour32", it's only reported at hour-precision, we probably don't need it, thus I didn't run the short SMART test.

However, there's still an unknown attribute 18. I'm not sure if "Head Health" is the appropriate option, so I didn't add it.

The full output of "smartctl -q noserial -x" for the two hard drives are attached, please double-check my patch, and see if whether attribute 18 "Head Health" is needed, thanks.

Attachments (2)

hdd1.txt (14.7 KB) - added by niconiconi 10 months ago.
hdd2.txt (15.3 KB) - added by niconiconi 10 months ago.

Download all attachments as: .zip

Change History (7)

Changed 10 months ago by niconiconi

Attachment: hdd1.txt added

Changed 10 months ago by niconiconi

Attachment: hdd2.txt added

comment:1 Changed 10 months ago by Christian Franke

Keywords: hdd added
Milestone: unscheduled

Thanks for this patch. Experience shows that regular expressions for Seagate drives should not be too coarse to avoid false detection of other series.

SAS should be excluded, see the FAQ.

Possibly better: ST[123468]000NM0(0[01234689]|1[0236]|2[1256])A-.*.

comment:2 Changed 10 months ago by Christian Franke

Summary: Seagate Exos 7E8 missing from the databaseSeagate Exos 7E8 missing from the database (ST8000NM000A, ...)

comment:3 Changed 10 months ago by niconiconi

Thanks for the feedback. I've removed all the SAS drives from the list and improved the regex according to your suggestion. I saw only SAS drives have "NM03", thus I also removed the "3" in the first group from the suggested regex.

New patch.

--- drivedb.h.orig	2020-12-20 23:43:03.000000000 +0800
+++ drivedb.h	2020-12-23 15:17:17.558464000 +0800
@@ -4195,6 +4195,26 @@ const drive_settings builtin_knowndrives[] = {
     "", "",
     "-v 9,msec24hour32 -v 240,msec24hour32"
   },
+  // 512n SATA:
+  //   Base:         ST6000NM002A, ST4000NM000A, ST3000NM000A, ST2000NM000A
+  //                 ST1000NM000A
+  //   Secure:       ST4000NM006A, ST1000NM002A
+  //   SED-FIPS:     ST4000NM013A, ST3000NM004A
+  // 512e SATA:
+  //   Base:         ST8000NM000A, ST6000NM021A, ST4000NM002A, ST2000NM001A,
+  //   PowerBalance: ST8000NM016A
+  //   Secure:       ST8000NM004A, ST4000NM010A
+  //   SED-FIPS:     ST8000NM008A, ST6000NM025A, ST4000NM012A
+  // 4Kn SATA:
+  //   Base:         ST8000NM002A, ST6000NM022A, ST4000NM001A, ST2000NM002A
+  //   SED-FIPS:     ST8000NM009A, ST6000NM026A
+  { "Seagate Exos 7E8", // tested with ST8000NM000A-2KE101/SN02,
+      // ST6000NM021A-2R7101/SN02
+    "ST[123468]000NM0(0[0124689]|1[0236]|2[1256])A-.*",
+    "", "",
+    "-v 240,msec24hour32"
+    // "-v 18,raw48,Head_Health " not sure
+  },
   { "Seagate Exos X12", // tested with ST12000NM0007-2A1101/SN02
     "ST12000NM00[01]7-.*", // *17 = SED
     "", "",

comment:4 Changed 10 months ago by Christian Franke

Milestone: unscheduledRelease 7.3
Owner: set to Christian Franke
Status: newaccepted

comment:5 Changed 10 months ago by Christian Franke

Resolution: fixed
Status: acceptedclosed
Note: See TracTickets for help on using tickets.